Bug 126343 - Update port: multimedia/mythtv
Summary: Update port: multimedia/mythtv
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-07 18:40 UTC by Anders Troback
Modified: 2009-03-10 21:12 UTC (History)
0 users

See Also:


Attachments
file.diff (5.04 KB, patch)
2008-08-07 18:40 UTC, Anders Troback
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Troback 2008-08-07 18:40:02 UTC
	Fix broken port and some cleanup!
Comment 1 Greg Larkin freebsd_committer freebsd_triage 2008-09-11 19:56:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 2 Anders Troback 2008-10-04 20:47:06 UTC
It seams like the subfolders are missing so I'll resend the path:


diff -ruN mythtv.org/Makefile mythtv/Makefile
--- mythtv.org/Makefile	2008-08-07 10:58:30.000000000 +0200
+++ mythtv/Makefile	2008-09-15 22:45:45.000000000 +0200
@@ -24,11 +24,7 @@
 		${LOCALBASE}/lib/plugins/sqldrivers/libqsqlmysql.so:${PORTSDIR}/databases/qt-mysql-plugin
\ wget:${PORTSDIR}/ftp/wget
 
-BROKEN=		Incorrect handling of user addition
-DEPRECATED=	Has been broken for more than 6 months
-EXPIRATION_DATE=2008-09-19
-
-ONLY_FOR_ARCHS= i386
+ONLY_FOR_ARCHS=	i386
 USE_BZIP2=	yes
 USE_QT_VER=	3
 USE_MYSQL=	51
@@ -38,6 +34,12 @@
 MAKE_ENV=	QTDIR="${QT_PREFIX}" QMAKESPEC="${QMAKESPEC}"
 USE_RC_SUBR=	mythbackend
 
+MYTHTVUSER?=	mythtv
+MYTHTVGROUP?=	mythtv
+MYTHTVUID?=	119
+MYTHTVGID?=	${MYTHTVUID}
+MYTHTVDIR?=	/home/mythtv
+
 CONFIG=		--enable-xvmc --enable-opengl-vsync \
 		--disable-xvmc-pro --disable-xvmc-vld --disable-xvmcw
\ --prefix=${PREFIX} --extra-cflags=-g --extra-cxxflags=-g
@@ -47,17 +49,29 @@
 QMAKESPEC?=	${LOCALBASE}/share/qt/mkspecs/freebsd-g++
 
 OPTIONS=	LIRC	"Native LIRC Support" 	Off
-OPTIONS+=       MYSQL_LOCAL "RUN_DEPEND on selected MySQL server" off
+OPTIONS+=	MYSQL_LOCAL "RUN_DEPEND on selected MySQL server" off
 
 .include <bsd.port.pre.mk>
 
+PLIST_SUB=	MYTHTVDIR=${MYTHTVDIR} \
+		MYTHTVUSER=${MYTHTVUSER} \
+		MYTHTVGROUP=${MYTHTVGROUP} \
+		MYTHTVUID=${MYTHTVUID} \
+		MYTHTVGID=${MYTHTVGID}
+
+SUB_FILES=	pkg-install \
+		pkg-deinstall
+
+SUB_LIST=	PREFIX=${PREFIX} \
+		${PLIST_SUB}
+
 .if defined(WITH_LIRC)
-LIB_DEPENDS+=  lirc_client.1:${PORTSDIR}/comms/lirc
+LIB_DEPENDS+=	lirc_client.1:${PORTSDIR}/comms/lirc
 # EXTRA_PATCHES= ${FILESDIR}/patchsettings-lirc
 .endif
 
 .if defined(WITH_MYSQL_LOCAL)
-RUN_DEPENDS+=  mysqld:${PORTSDIR}/databases/${MYSQL_VER}-server
+RUN_DEPENDS+=	mysqld:${PORTSDIR}/databases/${MYSQL_VER}-server
 .endif
 
 post-extract:
diff -ruN mythtv.org/files/pkg-deinstall.in
mythtv/files/pkg-deinstall.in ---
mythtv.org/files/pkg-deinstall.in	1970-01-01 01:00:00.000000000
+0100 +++ mythtv/files/pkg-deinstall.in	2008-09-15
22:44:49.000000000 +0200 @@ -0,0 +1,22 @@ +#!/bin/sh
+#
+# $FreeBSD:$
+#
+
+MYTHTVUSER=%%MYTHTVUSER%%
+MYTHTVGROUP=%%MYTHTVGROUP%%
+MYTHTVDIR=%%MYTHTVDIR%%
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+  if /usr/sbin/pw group show "${MYTHTVGROUP}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${MYTHTVGROUP}\" group."
+  fi
+
+  if /usr/sbin/pw user show "${MYTHTVUSER}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${MYTHTVUSER}\" user."
+  fi
+
+  if [ -e "${MYTHTVDIR}" ]; then
+    echo "You should manually remove the \"${MYTHTVDIR}\" directory."
+  fi
+fi
diff -ruN mythtv.org/files/pkg-install.in mythtv/files/pkg-install.in
--- mythtv.org/files/pkg-install.in	1970-01-01
01:00:00.000000000 +0100 +++ mythtv/files/pkg-install.in
2008-09-15 22:44:49.000000000 +0200 @@ -0,0 +1,93 @@
+#!/bin/sh
+# $FreeBSD: ports/multimedia/mythtv/pkg-install,v 1.5 2007/04/15
09:33:29 grog Exp $ +
+PREFIX=%%PREFIX%%
+MYTHTVUSER=%%MYTHTVUSER%%
+MYTHTVGROUP=%%MYTHTVGROUP%%
+MYTHTVDIR=%%MYTHTVDIR%%
+MYTHTVUID=%%MYTHTVUID%%
+MYTHTVGID=%%MYTHTVGID%%
+PATH=/bin:/usr/sbin:/usr/bin:${LOCALBASE}/bin
+
+case $2 in
+POST-INSTALL)
+
+    if pw group show "${MYTHTVGROUP}" 2>/dev/null; then
+	echo "You already have a group \"${MYTHTVGROUP}\", so I will
use it."
+    else
+	if pw groupadd ${MYTHTVGROUP} -g ${MYTHTVGID}; then
+	    echo "Added group \"${MYTHTVGROUP}\"."
+	else
+	    echo "Adding group \"${MYTHTVGROUP}\" failed..."
+	    exit 1
+	fi
+    fi
+
+    if pw user show "${MYTHTVUSER}" 2>/dev/null; then
+	echo "You already have a user \"${MYTHTVUSER}\", so I will use
it."
+    else
+	if pw useradd ${MYTHTVUSER} -u ${MYTHTVUID} -g ${MYTHTVGROUP}
-h - \
+	    -d ${MYTHTVDIR} -m -s /bin/sh -c "MythTV"
+	then
+	    echo "Added user \"${MYTHTVUSER}\"."
+	    mkdir -p ${MYTHTVDIR}
+	    if [ $? -ne 0 ]; then
+		echo '*** Unable to create' ${MYTHTVDIR} '***'
+	    fi
+	else
+	    echo "Adding user \"${MYTHTVUSER}\" failed..."
+	    exit 1
+	fi
+    fi
+
+# Now make the database
+    if [ -f ${LOCALBASE}/etc/rc.d/mysql-server ]; then
+	pgrep mysqld > /dev/null
+	if [ $? -ne 0 ]; then
+	    ${LOCALBASE}/etc/rc.d/mysql-server start
+	    if [ $? -ne 0 ]; then
+		echo '*** Unable to start mysqld'
+		exit 1
+	    else
+		pgrep mysqld > /dev/null
+	        if [ $? -ne 0 ]; then
+		    echo '*** Unable to start mysqld'
+		    exit 1
+		fi
+	    fi
+	fi
+	# Try to create the database
+	mysql < ${PREFIX}/share/mythtv/database/mc.sql
+	if [ $? -ne 0 ]; then
+	  cat <<EOF
+*********************************************************************
+Database creation failed.  Please read the output above and create it
+manually.  The commands to create the database are in
+${PREFIX}/share/mythtv/database/mc.sql.
+*********************************************************************
+EOF
+	  else
+	    echo Created database mythconverg.	
+	fi
+    else
+	cat <<EOF
+
+No MySQL server found.	If you want to run the database on this
+machine, please install the latest MySQL server and then create the
+database with this command:
+
+    mysql < ${PREFIX}/share/mythtv/database/mc.sql
+EOF
+
+    fi
+
+cat <<EOF
+
+To set up mythtv, first assign a password to user mythtv, then log in
+as mythtv and run
+
+    mythtv-setup
+EOF
+    ;;
+
+esac
diff -ruN mythtv.org/files/pkg-message.in mythtv/files/pkg-message.in
--- mythtv.org/files/pkg-message.in	1970-01-01
01:00:00.000000000 +0100 +++ mythtv/files/pkg-message.in
2008-09-15 22:44:49.000000000 +0200 @@ -0,0 +1,13 @@
+**********
+
+MythTV has now been installed, but it still needs to be configured.
+
+1.  To create the database, use the following command:
+
+	mysql -uroot -p < /usr/local/share/mythtv/database/mc.sql
+
+2.  Next, run mythtv-setup.
+
+See http://www.mythtv.org/docs/ for more information.
+
+**********
diff -ruN mythtv.org/pkg-install mythtv/pkg-install
--- mythtv.org/pkg-install	2007-04-15 11:33:29.000000000 +0200
+++ mythtv/pkg-install	1970-01-01 01:00:00.000000000 +0100
@@ -1,91 +0,0 @@
-#!/bin/sh
-# $FreeBSD: ports/multimedia/mythtv/pkg-install,v 1.5 2007/04/15
09:33:29 grog Exp $ -
-PATH=/bin:/usr/sbin:/usr/bin:/usr/local/bin
-case $2 in
-POST-INSTALL)
-    USER=mythtv
-    GROUP=${USER}
-    UID=119
-    GID=${UID}
-    HOME=/home/mythtv
-
-    if pw group show "${GROUP}" 2>/dev/null; then
-	echo "You already have a group \"${GROUP}\", so I will use it."
-    else
-	if pw groupadd ${GROUP} -g ${GID}; then
-	    echo "Added group \"${GROUP}\"."
-	else
-	    echo "Adding group \"${GROUP}\" failed..."
-	    exit 1
-	fi
-    fi
-
-    if pw user show "${USER}" 2>/dev/null; then
-	echo "You already have a user \"${USER}\", so I will use it."
-    else
-	if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-	    -d ${HOME} -m -s /bin/sh -c "MythTV"
-	then
-	    echo "Added user \"${USER}\"."
-	    mkdir -p ${HOME}
-	    if [ $? -ne 0 ]; then
-		echo '*** Unable to create' ${HOME} '***'
-	    fi
-	else
-	    echo "Adding user \"${USER}\" failed..."
-	    exit 1
-	fi
-    fi
-
-# Now make the database
-    if [ -f /usr/local/etc/rc.d/mysql-server ]; then
-	pgrep mysqld > /dev/null
-	if [ $? -ne 0 ]; then
-	    /usr/local/etc/rc.d/mysql-server start
-	    if [ $? -ne 0 ]; then
-		echo '*** Unable to start mysqld'
-		exit 1
-	    else
-		pgrep mysqld > /dev/null
-	        if [ $? -ne 0 ]; then
-		    echo '*** Unable to start mysqld'
-		    exit 1
-		fi
-	    fi
-	fi
-	# Try to create the database
-	mysql < /usr/local/share/mythtv/database/mc.sql
-	if [ $? -ne 0 ]; then
-	  cat <<EOF
-*********************************************************************
-Database creation failed.  Please read the output above and create it
-manually.  The commands to create the database are in
-/usr/local/share/mythtv/database/mc.sql.
-*********************************************************************
-EOF
-	  else
-	    echo Created database mythconverg.	
-	fi
-    else
-	cat <<EOF
-
-No MySQL server found.	If you want to run the database on this
-machine, please install the latest MySQL server and then create the
-database with this command:
-
-    mysql < /usr/local/share/mythtv/database/mc.sql
-EOF
-
-    fi
-
-cat <<EOF
-
-To set up mythtv, first assign a password to user mythtv, then log in
-as mythtv and run
-
-    mythtv-setup
-EOF
-    ;;
-
-esac
diff -ruN mythtv.org/pkg-message mythtv/pkg-message
--- mythtv.org/pkg-message	2006-12-20 00:55:54.000000000 +0100
+++ mythtv/pkg-message	1970-01-01 01:00:00.000000000 +0100
@@ -1,13 +0,0 @@
-**********
-
-MythTV has now been installed, but it still needs to be configured.
-
-1.  To create the database, use the following command:
-
-	mysql -uroot -p < /usr/local/share/mythtv/database/mc.sql
-
-2.  Next, run mythtv-setup.
-
-See http://www.mythtv.org/docs/ for more information.
-
-**********
Comment 3 Anders Troback 2008-10-05 07:19:32 UTC
Line wrappings:-]


diff -ruN mythtv.org/Makefile mythtv/Makefile
--- mythtv.org/Makefile	2008-08-07 10:58:30.000000000 +0200
+++ mythtv/Makefile	2008-09-15 22:45:45.000000000 +0200
@@ -24,11 +24,7 @@
 		${LOCALBASE}/lib/plugins/sqldrivers/libqsqlmysql.so:${PORTSDIR}/databases/qt-mysql-plugin \
 		wget:${PORTSDIR}/ftp/wget
 
-BROKEN=		Incorrect handling of user addition
-DEPRECATED=	Has been broken for more than 6 months
-EXPIRATION_DATE=2008-09-19
-
-ONLY_FOR_ARCHS= i386
+ONLY_FOR_ARCHS=	i386
 USE_BZIP2=	yes
 USE_QT_VER=	3
 USE_MYSQL=	51
@@ -38,6 +34,12 @@
 MAKE_ENV=	QTDIR="${QT_PREFIX}" QMAKESPEC="${QMAKESPEC}"
 USE_RC_SUBR=	mythbackend
 
+MYTHTVUSER?=	mythtv
+MYTHTVGROUP?=	mythtv
+MYTHTVUID?=	119
+MYTHTVGID?=	${MYTHTVUID}
+MYTHTVDIR?=	/home/mythtv
+
 CONFIG=		--enable-xvmc --enable-opengl-vsync \
 		--disable-xvmc-pro --disable-xvmc-vld --disable-xvmcw  \
 		--prefix=${PREFIX} --extra-cflags=-g --extra-cxxflags=-g
@@ -47,17 +49,29 @@
 QMAKESPEC?=	${LOCALBASE}/share/qt/mkspecs/freebsd-g++
 
 OPTIONS=	LIRC	"Native LIRC Support" 	Off
-OPTIONS+=       MYSQL_LOCAL "RUN_DEPEND on selected MySQL server" off
+OPTIONS+=	MYSQL_LOCAL "RUN_DEPEND on selected MySQL server" off
 
 .include <bsd.port.pre.mk>
 
+PLIST_SUB=	MYTHTVDIR=${MYTHTVDIR} \
+		MYTHTVUSER=${MYTHTVUSER} \
+		MYTHTVGROUP=${MYTHTVGROUP} \
+		MYTHTVUID=${MYTHTVUID} \
+		MYTHTVGID=${MYTHTVGID}
+
+SUB_FILES=	pkg-install \
+		pkg-deinstall
+
+SUB_LIST=	PREFIX=${PREFIX} \
+		${PLIST_SUB}
+
 .if defined(WITH_LIRC)
-LIB_DEPENDS+=  lirc_client.1:${PORTSDIR}/comms/lirc
+LIB_DEPENDS+=	lirc_client.1:${PORTSDIR}/comms/lirc
 # EXTRA_PATCHES= ${FILESDIR}/patchsettings-lirc
 .endif
 
 .if defined(WITH_MYSQL_LOCAL)
-RUN_DEPENDS+=  mysqld:${PORTSDIR}/databases/${MYSQL_VER}-server
+RUN_DEPENDS+=	mysqld:${PORTSDIR}/databases/${MYSQL_VER}-server
 .endif
 
 post-extract:
diff -ruN mythtv.org/files/pkg-deinstall.in mythtv/files/pkg-deinstall.in
--- mythtv.org/files/pkg-deinstall.in	1970-01-01 01:00:00.000000000 +0100
+++ mythtv/files/pkg-deinstall.in	2008-09-15 22:44:49.000000000 +0200
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# $FreeBSD:$
+#
+
+MYTHTVUSER=%%MYTHTVUSER%%
+MYTHTVGROUP=%%MYTHTVGROUP%%
+MYTHTVDIR=%%MYTHTVDIR%%
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+  if /usr/sbin/pw group show "${MYTHTVGROUP}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${MYTHTVGROUP}\" group."
+  fi
+
+  if /usr/sbin/pw user show "${MYTHTVUSER}" 2>&1 >/dev/null; then
+    echo "You should manually remove the \"${MYTHTVUSER}\" user."
+  fi
+
+  if [ -e "${MYTHTVDIR}" ]; then
+    echo "You should manually remove the \"${MYTHTVDIR}\" directory."
+  fi
+fi
diff -ruN mythtv.org/files/pkg-install.in mythtv/files/pkg-install.in
--- mythtv.org/files/pkg-install.in	1970-01-01 01:00:00.000000000 +0100
+++ mythtv/files/pkg-install.in	2008-09-15 22:44:49.000000000 +0200
@@ -0,0 +1,93 @@
+#!/bin/sh
+# $FreeBSD: ports/multimedia/mythtv/pkg-install,v 1.5 2007/04/15 09:33:29 grog Exp $
+
+PREFIX=%%PREFIX%%
+MYTHTVUSER=%%MYTHTVUSER%%
+MYTHTVGROUP=%%MYTHTVGROUP%%
+MYTHTVDIR=%%MYTHTVDIR%%
+MYTHTVUID=%%MYTHTVUID%%
+MYTHTVGID=%%MYTHTVGID%%
+PATH=/bin:/usr/sbin:/usr/bin:${LOCALBASE}/bin
+
+case $2 in
+POST-INSTALL)
+
+    if pw group show "${MYTHTVGROUP}" 2>/dev/null; then
+	echo "You already have a group \"${MYTHTVGROUP}\", so I will use it."
+    else
+	if pw groupadd ${MYTHTVGROUP} -g ${MYTHTVGID}; then
+	    echo "Added group \"${MYTHTVGROUP}\"."
+	else
+	    echo "Adding group \"${MYTHTVGROUP}\" failed..."
+	    exit 1
+	fi
+    fi
+
+    if pw user show "${MYTHTVUSER}" 2>/dev/null; then
+	echo "You already have a user \"${MYTHTVUSER}\", so I will use it."
+    else
+	if pw useradd ${MYTHTVUSER} -u ${MYTHTVUID} -g ${MYTHTVGROUP} -h - \
+	    -d ${MYTHTVDIR} -m -s /bin/sh -c "MythTV"
+	then
+	    echo "Added user \"${MYTHTVUSER}\"."
+	    mkdir -p ${MYTHTVDIR}
+	    if [ $? -ne 0 ]; then
+		echo '*** Unable to create' ${MYTHTVDIR} '***'
+	    fi
+	else
+	    echo "Adding user \"${MYTHTVUSER}\" failed..."
+	    exit 1
+	fi
+    fi
+
+# Now make the database
+    if [ -f ${LOCALBASE}/etc/rc.d/mysql-server ]; then
+	pgrep mysqld > /dev/null
+	if [ $? -ne 0 ]; then
+	    ${LOCALBASE}/etc/rc.d/mysql-server start
+	    if [ $? -ne 0 ]; then
+		echo '*** Unable to start mysqld'
+		exit 1
+	    else
+		pgrep mysqld > /dev/null
+	        if [ $? -ne 0 ]; then
+		    echo '*** Unable to start mysqld'
+		    exit 1
+		fi
+	    fi
+	fi
+	# Try to create the database
+	mysql < ${PREFIX}/share/mythtv/database/mc.sql
+	if [ $? -ne 0 ]; then
+	  cat <<EOF
+*********************************************************************
+Database creation failed.  Please read the output above and create it
+manually.  The commands to create the database are in
+${PREFIX}/share/mythtv/database/mc.sql.
+*********************************************************************
+EOF
+	  else
+	    echo Created database mythconverg.	
+	fi
+    else
+	cat <<EOF
+
+No MySQL server found.	If you want to run the database on this
+machine, please install the latest MySQL server and then create the
+database with this command:
+
+    mysql < ${PREFIX}/share/mythtv/database/mc.sql
+EOF
+
+    fi
+
+cat <<EOF
+
+To set up mythtv, first assign a password to user mythtv, then log in
+as mythtv and run
+
+    mythtv-setup
+EOF
+    ;;
+
+esac
diff -ruN mythtv.org/files/pkg-message.in mythtv/files/pkg-message.in
--- mythtv.org/files/pkg-message.in	1970-01-01 01:00:00.000000000 +0100
+++ mythtv/files/pkg-message.in	2008-09-15 22:44:49.000000000 +0200
@@ -0,0 +1,13 @@
+**********
+
+MythTV has now been installed, but it still needs to be configured.
+
+1.  To create the database, use the following command:
+
+	mysql -uroot -p < /usr/local/share/mythtv/database/mc.sql
+
+2.  Next, run mythtv-setup.
+
+See http://www.mythtv.org/docs/ for more information.
+
+**********
diff -ruN mythtv.org/pkg-install mythtv/pkg-install
--- mythtv.org/pkg-install	2007-04-15 11:33:29.000000000 +0200
+++ mythtv/pkg-install	1970-01-01 01:00:00.000000000 +0100
@@ -1,91 +0,0 @@
-#!/bin/sh
-# $FreeBSD: ports/multimedia/mythtv/pkg-install,v 1.5 2007/04/15 09:33:29 grog Exp $
-
-PATH=/bin:/usr/sbin:/usr/bin:/usr/local/bin
-case $2 in
-POST-INSTALL)
-    USER=mythtv
-    GROUP=${USER}
-    UID=119
-    GID=${UID}
-    HOME=/home/mythtv
-
-    if pw group show "${GROUP}" 2>/dev/null; then
-	echo "You already have a group \"${GROUP}\", so I will use it."
-    else
-	if pw groupadd ${GROUP} -g ${GID}; then
-	    echo "Added group \"${GROUP}\"."
-	else
-	    echo "Adding group \"${GROUP}\" failed..."
-	    exit 1
-	fi
-    fi
-
-    if pw user show "${USER}" 2>/dev/null; then
-	echo "You already have a user \"${USER}\", so I will use it."
-    else
-	if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-	    -d ${HOME} -m -s /bin/sh -c "MythTV"
-	then
-	    echo "Added user \"${USER}\"."
-	    mkdir -p ${HOME}
-	    if [ $? -ne 0 ]; then
-		echo '*** Unable to create' ${HOME} '***'
-	    fi
-	else
-	    echo "Adding user \"${USER}\" failed..."
-	    exit 1
-	fi
-    fi
-
-# Now make the database
-    if [ -f /usr/local/etc/rc.d/mysql-server ]; then
-	pgrep mysqld > /dev/null
-	if [ $? -ne 0 ]; then
-	    /usr/local/etc/rc.d/mysql-server start
-	    if [ $? -ne 0 ]; then
-		echo '*** Unable to start mysqld'
-		exit 1
-	    else
-		pgrep mysqld > /dev/null
-	        if [ $? -ne 0 ]; then
-		    echo '*** Unable to start mysqld'
-		    exit 1
-		fi
-	    fi
-	fi
-	# Try to create the database
-	mysql < /usr/local/share/mythtv/database/mc.sql
-	if [ $? -ne 0 ]; then
-	  cat <<EOF
-*********************************************************************
-Database creation failed.  Please read the output above and create it
-manually.  The commands to create the database are in
-/usr/local/share/mythtv/database/mc.sql.
-*********************************************************************
-EOF
-	  else
-	    echo Created database mythconverg.	
-	fi
-    else
-	cat <<EOF
-
-No MySQL server found.	If you want to run the database on this
-machine, please install the latest MySQL server and then create the
-database with this command:
-
-    mysql < /usr/local/share/mythtv/database/mc.sql
-EOF
-
-    fi
-
-cat <<EOF
-
-To set up mythtv, first assign a password to user mythtv, then log in
-as mythtv and run
-
-    mythtv-setup
-EOF
-    ;;
-
-esac
diff -ruN mythtv.org/pkg-message mythtv/pkg-message
--- mythtv.org/pkg-message	2006-12-20 00:55:54.000000000 +0100
+++ mythtv/pkg-message	1970-01-01 01:00:00.000000000 +0100
@@ -1,13 +0,0 @@
-**********
-
-MythTV has now been installed, but it still needs to be configured.
-
-1.  To create the database, use the following command:
-
-	mysql -uroot -p < /usr/local/share/mythtv/database/mc.sql
-
-2.  Next, run mythtv-setup.
-
-See http://www.mythtv.org/docs/ for more information.
-
-**********
Comment 4 dfilter service freebsd_committer freebsd_triage 2009-03-10 21:09:04 UTC
glarkin     2009-03-10 21:08:51 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING UIDs 
    multimedia/mythtv    Makefile distinfo pkg-plist 
    multimedia/mythtv/files patch-configure 
  Added files:
    multimedia/mythtv/files patch-libs__libmyth__compat.h 
                            patch-libs__libmyth__util.cpp 
                            patch-libs__libmythdvdnav__dvd_input.c 
                            patch-libs__libmythdvdnav__dvdnav_internal.h 
                            patch-libs__libmythfreemheg__Programs.cpp 
                            patch-libs__libmythtv__cardutil.cpp 
                            patch-libs__libmythupnp__httprequest.cpp 
                            patch-programs__mythbackend__mainserver.cpp 
                            patch-programs__mythbackend__scheduler.cpp 
                            patch-programs__mythfrontend__main.cpp 
                            patch-programs__mythtv-setup__backendsettings.cpp 
                            pkg-deinstall.in pkg-install.in 
                            pkg-message.in 
  Removed files:
    multimedia/mythtv    pkg-install pkg-message 
    multimedia/mythtv/files patch-FrameAnalyzer.h 
                            patch-httprequest.cpp 
                            patch-libs-libmythtv-cardutil.cpp 
                            patch-libs-libmythtvfreemheg-Programs.cpp 
                            patch-mainserver.cpp 
                            patch-mpegrecorder.cpp 
                            patch-mythbackend-scheduler.cpp 
                            patch-mythfrontend-main.cpp 
                            patch-mythtv-setup-backendsettings.cpp 
                            patch-upnpglobal.h patch-version.pro 
                            patch-videodev_myth.h 
                            patch-videoout_xv.cpp 
  Log:
  - Updated to 0.21
  - Fixed user handling
  - Added entry to UPDATING for 0.21 to 0.21 version upgrade
  - Enable build on amd64
  - Unbreak, undeprecate, and unexpire
  
  PR:             ports/126343
  Submitted by:   Anders Troback <freebsd at troback dot com>
  
  Revision  Changes    Path
  1.79      +2 -2      ports/UIDs
  1.787     +20 -1     ports/UPDATING
  1.20      +35 -24    ports/multimedia/mythtv/Makefile
  1.3       +3 -3      ports/multimedia/mythtv/distinfo
  1.2       +0 -17     ports/multimedia/mythtv/files/patch-FrameAnalyzer.h (dead)
  1.3       +15 -23    ports/multimedia/mythtv/files/patch-configure
  1.3       +0 -48     ports/multimedia/mythtv/files/patch-httprequest.cpp (dead)
  1.2       +0 -11     ports/multimedia/mythtv/files/patch-libs-libmythtv-cardutil.cpp (dead)
  1.2       +0 -18     ports/multimedia/mythtv/files/patch-libs-libmythtvfreemheg-Programs.cpp (dead)
  1.1       +11 -0     ports/multimedia/mythtv/files/patch-libs__libmyth__compat.h (new)
  1.1       +13 -0     ports/multimedia/mythtv/files/patch-libs__libmyth__util.cpp (new)
  1.1       +12 -0     ports/multimedia/mythtv/files/patch-libs__libmythdvdnav__dvd_input.c (new)
  1.1       +12 -0     ports/multimedia/mythtv/files/patch-libs__libmythdvdnav__dvdnav_internal.h (new)
  1.1       +18 -0     ports/multimedia/mythtv/files/patch-libs__libmythfreemheg__Programs.cpp (new)
  1.1       +11 -0     ports/multimedia/mythtv/files/patch-libs__libmythtv__cardutil.cpp (new)
  1.1       +49 -0     ports/multimedia/mythtv/files/patch-libs__libmythupnp__httprequest.cpp (new)
  1.2       +0 -32     ports/multimedia/mythtv/files/patch-mainserver.cpp (dead)
  1.2       +0 -19     ports/multimedia/mythtv/files/patch-mpegrecorder.cpp (dead)
  1.2       +0 -11     ports/multimedia/mythtv/files/patch-mythbackend-scheduler.cpp (dead)
  1.2       +0 -11     ports/multimedia/mythtv/files/patch-mythfrontend-main.cpp (dead)
  1.2       +0 -11     ports/multimedia/mythtv/files/patch-mythtv-setup-backendsettings.cpp (dead)
  1.1       +34 -0     ports/multimedia/mythtv/files/patch-programs__mythbackend__mainserver.cpp (new)
  1.1       +11 -0     ports/multimedia/mythtv/files/patch-programs__mythbackend__scheduler.cpp (new)
  1.1       +11 -0     ports/multimedia/mythtv/files/patch-programs__mythfrontend__main.cpp (new)
  1.1       +11 -0     ports/multimedia/mythtv/files/patch-programs__mythtv-setup__backendsettings.cpp (new)
  1.2       +0 -14     ports/multimedia/mythtv/files/patch-upnpglobal.h (dead)
  1.2       +0 -16     ports/multimedia/mythtv/files/patch-version.pro (dead)
  1.2       +0 -21     ports/multimedia/mythtv/files/patch-videodev_myth.h (dead)
  1.2       +0 -13     ports/multimedia/mythtv/files/patch-videoout_xv.cpp (dead)
  1.1       +18 -0     ports/multimedia/mythtv/files/pkg-deinstall.in (new)
  1.1       +91 -0     ports/multimedia/mythtv/files/pkg-install.in (new)
  1.1       +13 -0     ports/multimedia/mythtv/files/pkg-message.in (new)
  1.6       +0 -91     ports/multimedia/mythtv/pkg-install (dead)
  1.2       +0 -13     ports/multimedia/mythtv/pkg-message (dead)
  1.5       +776 -637  ports/multimedia/mythtv/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Greg Larkin freebsd_committer freebsd_triage 2009-03-10 21:11:28 UTC
State Changed
From-To: open->closed

Committed with updates for MythTV 0.21, thank you!